Bug 111349 - [PATCH] audio/cmus - ncursesw now in releng_6
Summary: [PATCH] audio/cmus - ncursesw now in releng_6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-07 09:50 UTC by Herbert J. Skuhra
Modified: 2007-04-08 05:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2007-04-07 09:50:05 UTC
After the MFC of ncurses 5.6-20061217 devel/ncurses is no longer required on FreeBSD >= 602107.

Fix: http://norway.ath.cx/freebsd/cmus_20070407.diff

----



------qCCaIJfbhGQLZkiB0hjXcljaDktliHyMm4WWedrsVNZjhs5u
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN audio/cmus.bak/Makefile audio/cmus/Makefile
--- audio/cmus.bak/Makefile	Sat Apr  7 10:08:44 2007
+++ audio/cmus/Makefile	Sat Apr  7 10:34:04 2007
@@ -7,7 +7,7 @@
 
 PORTNAME=	cmus
 PORTVERSION=	2.1.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://onion.dynserv.net/~timo/files/ \
 		http://mirror.greaterscope.net/cmus/
@@ -42,6 +42,10 @@
 
 .if ${OSVERSION} < 500000
 BROKEN=		does not compile on FreeBSD 4.X
+.endif
+
+.if ${OSVERSION} < 602107
+LIB_DEPENDS+=   ncursesw.5:${PORTSDIR}/devel/ncurses
 .endif
 
 .if defined(WITH_FLAC)
Comment 1 Edwin Groothuis freebsd_committer 2007-04-07 09:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->Herbert.J.Skuhra

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-04-07 09:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Erwin Lansing freebsd_committer 2007-04-07 09:51:28 UTC
Responsible Changed
From-To: Herbert.J.Skuhra->freebsd-ports-bugs

Return to the pool, submitter does not have GNATS access.
Comment 4 Herbert J. Skuhra 2007-04-07 10:05:45 UTC
Sorry, I previously sent the wrong patch! Here is the correct one:

diff -ruN audio/cmus.bak/Makefile audio/cmus/Makefile
--- audio/cmus.bak/Makefile	Sat Apr  7 10:43:01 2007
+++ audio/cmus/Makefile	Sat Apr  7 10:59:37 2007
@@ -7,7 +7,7 @@
 
 PORTNAME=	cmus
 PORTVERSION=	2.1.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://onion.dynserv.net/~timo/files/ \
 		http://mirror.greaterscope.net/cmus/
@@ -15,8 +15,6 @@
 MAINTAINER=	simon@olofsson.de
 COMMENT=	Console-based music player with really cool features
 
-LIB_DEPENDS=	ncursesw.5:${PORTSDIR}/devel/ncurses
-
 USE_BZIP2=	yes
 USE_GCC=	3.2+
 USE_GMAKE=	yes
@@ -42,6 +40,10 @@
 
 .if ${OSVERSION} < 500000
 BROKEN=		does not compile on FreeBSD 4.X
+.endif
+
+.if ${OSVERSION} < 602107
+LIB_DEPENDS+=   ncursesw.5:${PORTSDIR}/devel/ncurses
 .endif
 
 .if defined(WITH_FLAC)
Comment 5 Rong-En Fan freebsd_committer 2007-04-07 13:20:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I like ncursesw PR.
Comment 6 Simon Olofsson 2007-04-07 17:55:15 UTC
On Sat, Apr 07, 2007 at 08:24:43PM +0800, Rong-En Fan wrote:
> I think the attached one is better :-)
> We also have ncursesw on current

Hi,

thanks for the patches.
Please go ahead and commit your patch, Rong-En.

Thanks,
Simon
Comment 7 dfilter service freebsd_committer 2007-04-08 05:25:08 UTC
rafan       2007-04-08 04:25:05 UTC

  FreeBSD ports repository

  Modified files:
    audio/cmus           Makefile 
  Log:
  - ncursesw is in newer 6.x and 7.x use that instead of port's version
  
  PR:             ports/111349
  Submitted by:   Herbert J. Skuhra <h.skuhra at gmail.com>
  
  - While I'm here, remove 4.x support
  
  Approved by:    Simon Olofsson <simon at olofsson.de> (maintainer)
  
  Revision  Changes    Path
  1.20      +2 -4      ports/audio/cmus/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Rong-En Fan freebsd_committer 2007-04-08 05:25:35 UTC
State Changed
From-To: feedback->closed

Committed without bumping portrevision.